Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -6359,5 +6359,5 @@
           ! 1: Eqi_prime<0: condensation
 !          WRITE(*,*) 'tmp 426: condensation'
-          if (fac_ftmr(il).gt.ridicule/100.) THEN
+          IF (fac_ftmr(il).gt.ridicule/100.) THEN
             ! si fac_ftmr très petit, on le traite comme du 0
             ! 1.1: si Mpi>0
@@ -6375,7 +6375,7 @@
 #endif
           endif !if (fac_ftmr.gt.0.0) THEN
-!        else if ((abs(Eqi_prime(il)).lt.ridicule*1e-3).and.
+!        ELSE IF ((abs(Eqi_prime(il)).lt.ridicule*1e-3).AND.
 !     :      (abs(Eqi_prime(il)*fac_ftmr(il)).lt.ridicule*10)) THEN
-        else if ((Eqi_prime(il).lt.ridicule*1e-3).and. & 
+        ELSE IF ((Eqi_prime(il).lt.ridicule*1e-3).AND. &
            (Eqi_prime(il)*fac_ftmr(il).lt.ridicule*10)) THEN
             ! 2: Eqi_prime est compris entre 1e-14 et -1e-14: rien 
@@ -6394,5 +6394,5 @@
 #ifdef ISOVERIF
             trace_cas(il)=2
-            if ((Pqisup(il).le.0.0).and. &
+            IF ((Pqisup(il).le.0.0).AND. &
                 (water(il,i).gt.ridicule)) THEN
             WRITE(*,*) 'appel_stewart 420: water=',water(il,i)
@@ -6407,7 +6407,7 @@
 !        WRITE(*,*) 'tmp 473: evap'
         ! quelques vérifs du bilan de masse d'eau 
-             if (iso_verif_positif_nostop(( &
+             IF (iso_verif_positif_nostop(( &
                  Pqisup(il)-Eqi_prime(il)), &
-                 'appel_stewart 388').eq.1) THEN
+                 'appel_stewart 388').EQ.1) THEN
                WRITE(*,*) 'Pqisup=',Pqisup(il)
                WRITE(*,*) 'Eqi_prime=',Eqi_prime(il)
@@ -6416,7 +6416,7 @@
 !               stop
               endif
-              if (iso_verif_positif_choix_nostop(( &
+              IF (iso_verif_positif_choix_nostop(( &
                 Pqisup(il)-Pqiinf_par(il)),errmax, &
-                'appel_stewart 442').eq.1) THEN
+                'appel_stewart 442').EQ.1) THEN
                 WRITE(*,*) 'appel_stewart 174'
                 WRITE(*,*) 'Pqisup=',Pqisup(il), &
@@ -6424,6 +6424,6 @@
                 stop
               endif               
-              if (iso_verif_positif_nostop((Eqi_par(il)), &
-                'appel_stewart 559b').eq.1) THEN
+              IF (iso_verif_positif_nostop((Eqi_par(il)), &
+                'appel_stewart 559b').EQ.1) THEN
                 WRITE(*,*) 'Eqi(il),Eqi_plus1(il),Eqi_prime(il)=', &
                        Eqi(il),Eqi_plus1(il),Eqi_prime(il)
@@ -6432,5 +6432,5 @@
               endif
 #endif              
-              if (T(il,i).ge.ztglace_kelvin) THEN
+              IF (T(il,i).ge.ztglace_kelvin) THEN
                 ! 3.1: evap des gouttes
                 icas_evap_liq=icas_evap_liq+1  
@@ -6448,5 +6448,5 @@
               endif !if (T(il,i).ge.ztglace_kelvin) THEN
           endif !if (Eqi_prime.lt.0.0) THEN
-       endif !if (i.le.inb(il) .and. lwork(il)) THEN
+       endif !if (i.le.inb(il) .AND. lwork(il)) THEN
       enddo  !do il=1,ncum 
 
@@ -6464,5 +6464,5 @@
       ncas_tot=0
       do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) THEN
+        IF (i.le.inb(il) .AND. lwork(il)) THEN
             ncas_tot=ncas_tot+1
         endif
@@ -6475,5 +6475,5 @@
 !      WRITE(*,*) 'ncas_evap_liq_=',ncas_evap_liq
 !      WRITE(*,*) 'ncas_evap_glace=',ncas_evap_glace
-      if (ncas_tot.ne.ncas_condensation_facftmr &
+      IF (ncas_tot.NE.ncas_condensation_facftmr &
                +ncas_condensation_nofacftmr&
                +ncas_noevap&
@@ -6482,5 +6482,5 @@
          WRITE(*,*) 'mauvais parsage'
          stop
-       endif !if (ncas_tot.ne.ncas_condensation_facftmr
+       endif !if (ncas_tot.NE.ncas_condensation_facftmr
 #endif      
 
@@ -6488,5 +6488,5 @@
       ! ****** traitement vectoriel du cas 1.1
 
-      if (ncas_condensation_facftmr.gt.0) THEN
+      IF (ncas_condensation_facftmr.gt.0) THEN
       CALL compress_cond_facftmr(ncas_condensation_facftmr,   &
          cas_condensation_facftmr, &
@@ -6523,5 +6523,5 @@
               'appel_stewart 460: compression condensation_facftmr', &
               errmax,errmax)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -6586,5 +6586,5 @@
 
 #ifdef ISOVERIF 
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           do il=1,ncas_condensation_facftmr
             CALL iso_verif_egalite_choix( &
@@ -6635,5 +6635,5 @@
 !     :           xtp_avantevap(1:ntraciso:3,
 !     :           cas_condensation_facftmr(il))
-!               if (il.eq.cas_condensation_facftmr(602)) THEN
+!               if (il.EQ.cas_condensation_facftmr(602)) THEN
 !                WRITE(*,*) 'appel_stewart 638: il=602'
 !                WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
@@ -6658,5 +6658,5 @@
         ! ****** traitement vectoriel du cas 1.2
 
-      if (ncas_condensation_nofacftmr.gt.0) THEN
+      IF (ncas_condensation_nofacftmr.gt.0) THEN
       CALL compress_cond_nofftmr(ncas_condensation_nofacftmr, &
          cas_condensation_nofacftmr, &
@@ -6778,5 +6778,5 @@
         ! ****** traitement vectoriel du cas 2
 
-      if (ncas_noevap.gt.0) THEN
+      IF (ncas_noevap.gt.0) THEN
       CALL compress_noevap(ncas_noevap, &
          cas_noevap, &
@@ -6802,5 +6802,5 @@
                 water(cas_noevap(il),i), &
                 'appel_stewart 693: compression',errmax,errmaxrel)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
                 (Pxtisup_cas(iso_eau,il)), &
@@ -6893,5 +6893,5 @@
         ! ****** traitement vectoriel du cas 3.1
 
-      if (ncas_evap_liq.gt.0) THEN
+      IF (ncas_evap_liq.gt.0) THEN
       CALL compress_evap_liq(30,ncas_evap_liq, &
          cas_evap_liq, &
@@ -6939,5 +6939,5 @@
               'appel_stewart 783: compression evap_liq', &
                 errmax,errmax)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -6988,5 +6988,5 @@
 
        ! initialisation dans le cas où la revap est taggée:
-       if (option_revap.eq.1) THEN
+       IF (option_revap.EQ.1) THEN
          do il=1,ncas_evap_liq  
            do iiso=1,niso
@@ -6997,5 +6997,5 @@
              enddo  !do iiso=1,niso  
          enddo !do il=1,ncas_evap_glace  
-       endif !if (option_revap.eq.1) th
+       endif !if (option_revap.EQ.1) th
 
 
@@ -7043,5 +7043,5 @@
 !       WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau,2)=',
 !     :           xtp_avantevaptrac_cas(iso_eau,2)
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
            do il=1,ncas_evap_liq
 !             WRITE(*,*) 'appel_stewart tmp 943: il=',il
@@ -7066,17 +7066,17 @@
                 'appel_stewart 961',  &
                 errmax,errmaxrel)
-!             if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) THEN
-!               if (izone.eq.izone_cond) THEN
+!             if ((option_traceurs.EQ.17).OR.
+!     :           (option_traceurs.EQ.18)) THEN
+!               if (izone.EQ.izone_cond) THEN
 !                CALL iso_verif_positif((
 !     :           Pxtisup_cas(iso_eau,il)
 !     :           -Pxtisup(iso_eau,cas_evap_liq(il))),
 !     :           'appel_stewart_vectall 1114')
-!               else !if (izone.eq.izone_cond) THEN
+!               else !if (izone.EQ.izone_cond) THEN
 !                CALL iso_verif_positif((
 !     :           -Pxtisup_cas(iso_eau,il)),
 !     :           'appel_stewart_vectall 1118')
-!               endif !if (izone.eq.izone_cond) THEN
-!             endif   !if ((option_traceurs.eq.17).or.
+!               endif !if (izone.EQ.izone_cond) THEN
+!             endif   !if ((option_traceurs.EQ.17).OR.
            enddo !do il=1,ncas_evap_liq
        endif !if (iso_eau.gt.0) THEN
@@ -7106,14 +7106,14 @@
               'appel stewart 745')
         enddo !do ixt=1,niso
-!        if ((option_traceurs.eq.17).or.(option_traceurs.eq.18)) THEN
-!            if (izone.eq.izone_cond) THEN
+!        if ((option_traceurs.EQ.17).OR.(option_traceurs.EQ.18)) THEN
+!            if (izone.EQ.izone_cond) THEN
 !              CALL iso_verif_positif(xtwater_cas(iso_eau,il)
 !     :           -xtwater(iso_eau,cas_evap_liq(il),i),
 !     :           'appel_stewart_vectall 1138')
-!            else !if (izone.eq.izone_cond) THEN
+!            else !if (izone.EQ.izone_cond) THEN
 !                CALL iso_verif_positif(-xtwater_cas(iso_eau,il),
 !     :           'appel_stewart_vectall 1147')
-!            endif !if (izone.eq.izone_cond) THEN
-!        endif !if ((option_traceurs.eq.17).or.        
+!            endif !if (izone.EQ.izone_cond) THEN
+!        endif !if ((option_traceurs.EQ.17).OR.
       enddo !do il=1,ncas_evap_liq
 #endif       
@@ -7133,10 +7133,10 @@
        do il=1,ncas_evap_liq
            
-           if (iso_verif_traceur_nostop(xtp(1,cas_evap_liq(il),i), &
-                'appel_stewart_vectall 1256').eq.1) THEN
+           IF (iso_verif_traceur_nostop(xtp(1,cas_evap_liq(il),i), &
+                'appel_stewart_vectall 1256').EQ.1) THEN
              WRITE(*,*) 'il,cas_evap_liq(il)=',il,cas_evap_liq(il)
              WRITE(*,*) 'trace_cas(cas_evap_liq(il))=', &
                 trace_cas(cas_evap_liq(il))
-             if (trace_cas(cas_evap_liq(il)).eq.31) THEN
+             IF (trace_cas(cas_evap_liq(il)).EQ.31) THEN
                  WRITE(*,*) 'cas evap_liq'
                  WRITE(*,*) 'xtp(:,cas_evap_liq(il),i)=', &
@@ -7154,5 +7154,5 @@
                  WRITE(*,*) 'h(il)=',thumxt1+(1.0-thumxt1)* &
                         qp_avantevap_cas(il)/qs_cas(il)
-             endif !if (trace_cas(il).eq.31) THEN
+             endif !if (trace_cas(il).EQ.31) THEN
                 ! en cas de problème ci, activer l'option débug de
                 ! stewart_explicit
@@ -7180,5 +7180,5 @@
                 ! ****** traitement vectoriel du cas 3.2
 
-      if (ncas_evap_glace.gt.0) THEN
+      IF (ncas_evap_glace.gt.0) THEN
       CALL compress_evap_glace(30, &
          ncas_evap_glace,cas_evap_glace, &
@@ -7233,5 +7233,5 @@
               'appel_stewart 914: compression evap_glace', &
                 errmax,errmax)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -7274,5 +7274,5 @@
 
        ! initialisation dans le cas où la revap est taggée:
-       if (option_revap.eq.1) THEN
+       IF (option_revap.EQ.1) THEN
          do il=1,ncas_evap_glace   
            do iiso=1,niso
@@ -7283,5 +7283,5 @@
            enddo  !do iiso=1,niso  
          enddo !do il=1,ncas_evap_glace  
-       endif !if (option_revap.eq.1) THEN
+       endif !if (option_revap.EQ.1) THEN
        do izone=1,ntraceurs_zone
 !       WRITE(*,*) 'tmp appel_stewart 1284: izone=',izone
@@ -7347,6 +7347,6 @@
 !     :           (1:ntraciso,cas_evap_glace(il))
 !           WRITE(*,*) 'xtp=',xtp(1:ntraciso,cas_evap_glace(il),i)
-           if (iso_verif_traceur_nostop(xtp(1,cas_evap_glace(il),i), &
-                'appel_stewart_vectall 1314').eq.1) THEN
+           IF (iso_verif_traceur_nostop(xtp(1,cas_evap_glace(il),i), &
+                'appel_stewart_vectall 1314').EQ.1) THEN
              WRITE(*,*) 'il,cas_evap_glace(il)=',il,cas_evap_glace(il)
              WRITE(*,*) 'trace_cas(cas_evap_glace(il))=', &
@@ -7382,5 +7382,5 @@
 #ifdef ISOVERIF
         do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) THEN
+           IF (i.le.inb(il) .AND. lwork(il)) THEN
 !             WRITE(*,*) 'appel_stewart 1380 temp: il,trace_cas(il)=',
 !     &          il,trace_cas(il)  
@@ -7393,26 +7393,26 @@
                         'appel_stewart 1661')
              enddo !do ixt=1,ntraciso
-             if (iso_eau.gt.0) THEN
-              if (iso_verif_egalite_choix_nostop(xtwater(iso_eau,il,i), &
+             IF (iso_eau.gt.0) THEN
+              IF (iso_verif_egalite_choix_nostop(xtwater(iso_eau,il,i), &
               water(il,i),'appel stewart 1277, fin, water', &
-              errmax,errmaxrel).eq.1) THEN
+              errmax,errmaxrel).EQ.1) THEN
                WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(  
-              if (iso_verif_egalite_choix_nostop( &
+              IF (iso_verif_egalite_choix_nostop( &
               xtp(iso_eau,il,i),qp(il,i),'appel stewart 1278', &
-              errmax,errmaxrel*50).eq.1) THEN
+              errmax,errmaxrel*50).EQ.1) THEN
                WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(
-              if (iso_verif_egalite_choix_nostop( &
+              IF (iso_verif_egalite_choix_nostop( &
               xtevap(iso_eau,il,i),evap(il,i), &
               'appel stewart 1279', &
-              errmax,errmaxrel).eq.1) THEN
+              errmax,errmaxrel).EQ.1) THEN
                WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(
              endif !if (iso_eau.gt.0) THEN
-             if ((iso_HDO.gt.0).and. &
+             IF ((iso_HDO.gt.0).AND. &
                 (qp(il,i).gt.ridicule)) THEN
                 CALL iso_verif_aberrant( &
@@ -7421,5 +7421,5 @@
              endif  ! if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
-!           if (il.eq.602) THEN
+!           if (il.EQ.602) THEN
 !              WRITE(*,*) 'appel_stewart 1334: il,i=',il,i
 !              WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
@@ -7432,22 +7432,22 @@
            CALL iso_verif_traceur(xtwater(1,il,i), &
                 'appel_stewart_vectall 1636')
-!           if ((option_traceurs.eq.17).or.
-!     &          (option_traceurs.eq.18)) THEN
+!           if ((option_traceurs.EQ.17).OR.
+!     &          (option_traceurs.EQ.18)) THEN
 !            if (iso_verif_positif_nostop(xtwater(
 !     &          index_trac(izone_cond,iso_eau),il,i)
 !     &          -xtwater(iso_eau,il,i),
-!     &          'appel_stewart_vectall 1457').eq.1) THEN
+!     &          'appel_stewart_vectall 1457').EQ.1) THEN
 !             WRITE(*,*) 'il,trace_cas=',il,trace_cas(il)
 !             stop
 !            endif !if (iso_verif_positif_nostop(xtwater(iso_eau,il,i)-
-!           endif !if ((option_traceurs.eq.17).or.
+!           endif !if ((option_traceurs.EQ.17).OR.
 #endif  
-           endif !if (i.le.inb(il) .and. lwork(il)) THEN
+           endif !if (i.le.inb(il) .AND. lwork(il)) THEN
         enddo !do il=1,ncum 
 #endif
 
-       if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+       IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
          do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) THEN
+           IF (i.le.inb(il) .AND. lwork(il)) THEN
              xtwater(iso_eau,il,i)= water(il,i)
              xtp(iso_eau,il,i)=qp(il,i) 
@@ -7465,5 +7465,5 @@
 #endif            
 #endif             
-           endif !if (i.le.inb(il) .and. lwork(il)) THEN
+           endif !if (i.le.inb(il) .AND. lwork(il)) THEN
           enddo !do il=1,ncum  
         endif !if (bidouille_anti_divergence) THEN
@@ -7494,7 +7494,7 @@
 
         ! inputs
-        integer ncas
-        real ztglace_kelvin
-        real T_cas(ncas),delP_cas(ncas), &
+        INTEGER ncas
+        REAL ztglace_kelvin
+        REAL T_cas(ncas),delP_cas(ncas), &
                 xtevapsup_cas(niso,ncas),water_cas(ncas)
         real  qp_avantevap_cas(ncas), &
@@ -7502,23 +7502,23 @@
         Pqisup_cas(ncas), Pxtisup_cas(niso,ncas),  &
         Eqi_prime_cas(ncas),fac_ftmr_cas(ncas)
-         real g,sigd(ncas)                  
-#ifdef ISOVERIF
-         real evap_cas(ncas),qp_cas(ncas)
-         integer oktrac
+         REAL g,sigd(ncas)
+#ifdef ISOVERIF
+         REAL evap_cas(ncas),qp_cas(ncas)
+         INTEGER oktrac
 #endif         
 
         ! outputs
-        real xtevap_cas(niso,ncas),xtp_cas(niso,ncas), &
+        REAL xtevap_cas(niso,ncas),xtp_cas(niso,ncas), &
                  xtwater_cas(niso,ncas)
 
         ! locals
-        real Risup(niso,ncas), Rcond(niso,ncas)
-        real xtice(ntraciso,ncas), xtliq(ntraciso,ncas)
-        real xtp0(ntraciso,ncas), qp0(ncas)
+        REAL Risup(niso,ncas), Rcond(niso,ncas)
+        REAL xtice(ntraciso,ncas), xtliq(ntraciso,ncas)
+        REAL xtp0(ntraciso,ncas), qp0(ncas)
         ! rq: xtice,xtliq,xtp0 sont de dimension ntraciso car condiso_liq_ice_vectall prend des choses de dimension ntraciso. Mais c'est une perte de mémoire. Seuls les premiers niso sont utilisés
-        real fcond(ncas), fice(ncas), cond(ncas)
-        real Exi_prime(niso,ncas)
-        integer il,ixt
-        real zxtalphal,zxtalphai
+        REAL fcond(ncas), fice(ncas), cond(ncas)
+        REAL Exi_prime(niso,ncas)
+        INTEGER il,ixt
+        REAL zxtalphal,zxtalphai
 !#ifdef ISOVERIF
 !        real 
@@ -7531,5 +7531,5 @@
        do il=1,ncas
 #ifdef ISOVERIF
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                 (xtp_avantevap_cas(iso_eau,il)), &
@@ -7539,9 +7539,9 @@
          CALL iso_verif_noNaN((Eqi_prime_cas(il)), &
                 'appel_stewart 1357a')
-         if (iso_verif_noNaN_nostop((fac_ftmr_cas(il)), &
-                'appel_stewart 1357b').eq.1) THEN
+         IF (iso_verif_noNaN_nostop((fac_ftmr_cas(il)), &
+                'appel_stewart 1357b').EQ.1) THEN
             WRITE(*,*) 'il=',il
          endif
-!         if (il.eq.1) THEN
+!         if (il.EQ.1) THEN
 !         WRITE(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(il)
 !         WRITE(*,*) 'fac_ftmr_cas=',fac_ftmr_cas(il)
@@ -7551,6 +7551,6 @@
 #endif   
         
-        if ((Eqi_prime_cas(il).gt.-ridicule*1e-2).and.    & 
-           (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.-ridicule*10).and. &
+        IF ((Eqi_prime_cas(il).gt.-ridicule*1e-2).AND.    &
+           (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.-ridicule*10).AND. &
            (Pqisup_cas(il).le.0.0)) THEN
           fcond(il)=1.0
@@ -7560,5 +7560,5 @@
 !     &         il,cond(il),Eqi_prime_cas(il),fac_ftmr_cas(il)
 !#endif          
-        else !if ((Eqi_prime_cas(il).gt.-ridicule*1e-2).and.    
+        else !if ((Eqi_prime_cas(il).gt.-ridicule*1e-2).AND.
          fcond(il)=-Eqi_prime_cas(il)/(Pqisup_cas(il)-Eqi_prime_cas(il))
          cond(il)=-Eqi_prime_cas(il)*fac_ftmr_cas(il)
@@ -7570,5 +7570,5 @@
         endif
 
-         if (T_cas(il).ge.ztglace_kelvin) THEN
+         IF (T_cas(il).ge.ztglace_kelvin) THEN
                fice(il)=0.0
          else
@@ -7576,5 +7576,5 @@
          endif 
 
-         if (cond(il).gt.qp_avantevap_cas(il)) THEN
+         IF (cond(il).gt.qp_avantevap_cas(il)) THEN
              ! dans ce cas, qp doit être nul. on vérifie et si oui, on
              ! met cond=qp_avantevap_cas
@@ -7590,5 +7590,5 @@
               enddo !do ixt=1,niso  
          else ! if (cond(il).gt.qp_avantevap_cas(il)) THEN
-           if (cond(il).lt.1e-11) THEN
+           IF (cond(il).lt.1e-11) THEN
               ! pour des raisons numériques, ça ne marchera pas
               cond(il)=cond(il)*1e4
@@ -7614,6 +7614,6 @@
 #endif
 #ifdef ISOVERIF     
-         if (iso_verif_positif_nostop(qp0(il)-cond(il), &
-                'appel_stewart 1664').eq.1) THEN
+         IF (iso_verif_positif_nostop(qp0(il)-cond(il), &
+                'appel_stewart 1664').EQ.1) THEN
            WRITE(*,*) 'il,qp0,cond=',il,qp0(il),cond(il)
            WRITE(*,*) 'qp_avantevap_cas,qp_cas=', &
@@ -7624,5 +7624,5 @@
            stop
          endif
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtp0(iso_eau,il), &
                 qp0(il),'appel_stewart 1353',errmax,errmaxrel)
@@ -7636,9 +7636,9 @@
 
         do il=1,ncas
-          if (cond(il).gt.ridicule*1e-2) THEN
+          IF (cond(il).gt.ridicule*1e-2) THEN
             do ixt=1,niso
               Rcond(ixt,il)=(xtice(ixt,il)+xtliq(ixt,il))/cond(il)
             enddo !do ixt=1,niso
-          else if ((cond(il).gt.0.0).and.(qp0(il).gt.ridicule)) THEN
+          ELSE IF ((cond(il).gt.0.0).AND.(qp0(il).gt.ridicule)) THEN
             do ixt=1,niso
               CALL fractcalk(ixt,T_cas(il),zxtalphal,zxtalphai)
@@ -7655,8 +7655,8 @@
 
 #ifdef ISOVERIF 
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          do il=1,ncas
 !           WRITE(*,*) 'tmp il,cond(il)=',il ,cond(il)
-          if (cond(il).gt.errmax/50) THEN
+          IF (cond(il).gt.errmax/50) THEN
               CALL iso_verif_egalite_choix( &
                (Rcond(iso_eau,il)),1.0, &
@@ -7669,5 +7669,5 @@
           ! le 30 avril 2012: on remplace 0 par ridicule*1e-2
           ! le 2 juillet 2012: on remplace ridicule*1e-2 par ridicule*1e-4
-          if (Pqisup_cas(il).gt.ridicule*1e-4) THEN
+          IF (Pqisup_cas(il).gt.ridicule*1e-4) THEN
              do ixt=1,niso
                Risup(ixt,il)=Pxtisup_cas(ixt,il)/Pqisup_cas(il)
@@ -7697,8 +7697,8 @@
 
           do ixt=1,niso
-            if ((iso_verif_noNaN_nostop((Rcond(ixt,il)), &
-               'appel_stewart 1482, cas 1.1, Rcond').eq.1).or. &
+            IF ((iso_verif_noNaN_nostop((Rcond(ixt,il)), &
+               'appel_stewart 1482, cas 1.1, Rcond').EQ.1).OR. &
                (iso_verif_noNaN_nostop((Risup(ixt,il)), &
-               'appel_stewart 1484, cas 1.1, Risup').eq.1)) THEN
+               'appel_stewart 1484, cas 1.1, Risup').EQ.1)) THEN
                WRITE(*,*) 'ixt,il=',ixt,il
                WRITE(*,*) 'Pxtisup_cas(ixt,il)=',Pxtisup_cas(ixt,il)
@@ -7759,6 +7759,6 @@
           do il=1,ncas
              do ixt=1,niso
-              if (iso_verif_noNaN_nostop(xtwater_cas(ixt,il), &
-                'appel_stewart 1487').eq.1) THEN
+              IF (iso_verif_noNaN_nostop(xtwater_cas(ixt,il), &
+                'appel_stewart 1487').EQ.1) THEN
                 WRITE(*,*) 'ixt,il=',ixt,il
                 WRITE(*,*) 'water_cas(il)=',water_cas(il)
@@ -7778,10 +7778,10 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             do il=1,ncas
               CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart 262, cas 1.1', &
                 errmax,errmaxrel)
-              if ((xtwater_cas(iso_eau,il).eq.0.0).and. &
+              IF ((xtwater_cas(iso_eau,il).EQ.0.0).AND. &
                 (water_cas(il).gt.ridicule)) THEN
                WRITE(*,*) 'appel_stewart 1535, cas 1.1, il=',il
@@ -7796,13 +7796,13 @@
                stop
               endif
-              if (oktrac.eq.0) THEN
+              IF (oktrac.EQ.0) THEN
              CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
                 qp_cas(il), &
                 'appel_stewart 269, cas 1.1', &
                 errmax,errmaxrel)
-              if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
+              IF (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
                 evap_cas(il), &
                 'appel_stewart 275, cas 1.1', &
-                errmax,errmaxrel).eq.1) THEN
+                errmax,errmaxrel).EQ.1) THEN
 !                WRITE(*,*) 'il,cas_condensation_facftmr(il)=',
 !     &                  il,cas_condensation_facftmr(il)
@@ -7816,11 +7816,11 @@
                 stop
               endif !if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il),
-              endif ! if (oktrac.eq.0) THEN
+              endif ! if (oktrac.EQ.0) THEN
              enddo !do il=1,ncas_condensation_facftmr  
             endif ! if (iso_eau.gt.0) THEN
-            if (oktrac.eq.0) THEN
-            if (iso_HDO.gt.0) THEN
+            IF (oktrac.EQ.0) THEN
+            IF (iso_HDO.gt.0) THEN
              do il=1,ncas 
-              if (qp_cas(il).gt.ridicule) THEN
+              IF (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant(xtp_cas(iso_HDO,il)/ &
                 qp_cas(il), 'appel_stewart 613')
@@ -7828,8 +7828,8 @@
              enddo !do il=1,ncas
             endif  ! if (iso_HDO.gt.0) THEN
-           else !if (oktrac.eq.0) THEN
-             if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
+           else !if (oktrac.EQ.0) THEN
+             IF ((iso_HDO.gt.0).AND.(iso_eau.gt.0)) THEN
               do il=1,ncas
-               if (xtp_cas(iso_eau,il).gt.ridicule) THEN
+               IF (xtp_cas(iso_eau,il).gt.ridicule) THEN
                 CALL iso_verif_aberrant(xtp_cas(iso_HDO,il)/ &
                 xtp_cas(iso_eau,il), &
@@ -7838,5 +7838,5 @@
                enddo ! do il=1,ncas
               endif  ! if (iso_HDO.gt.0) THEN
-           endif  !if (oktrac.eq.0) THEN
+           endif  !if (oktrac.EQ.0) THEN
 #endif   
 
@@ -7861,7 +7861,7 @@
 
         ! inputs
-        integer ncas
-        real ztglace_kelvin
-        real T_cas(ncas),delP_cas(ncas), &
+        INTEGER ncas
+        REAL ztglace_kelvin
+        REAL T_cas(ncas),delP_cas(ncas), &
                 xtevapsup_cas(niso,ncas),water_cas(ncas), &
                 q_cas(ncas),xt_cas(niso,ncas)
@@ -7870,26 +7870,26 @@
         Pqisup_cas(ncas), Pxtisup_cas(niso,ncas),  &
         Eqi_prime_cas(ncas)
-         real g,sigd_cas(ncas)
+         REAL g,sigd_cas(ncas)
          
 #ifdef ISOVERIF
-         integer oktrac
-         real evap_cas(ncas),qp_cas(ncas)
+         INTEGER oktrac
+         REAL evap_cas(ncas),qp_cas(ncas)
 #endif
         ! outputs
-        real xtevap_cas(niso,ncas),xtp_cas(niso,ncas), &
+        REAL xtevap_cas(niso,ncas),xtp_cas(niso,ncas), &
                  xtwater_cas(niso,ncas)
 
         ! locals
-        real Risup(niso,ncas), Rcond(niso,ncas), &
+        REAL Risup(niso,ncas), Rcond(niso,ncas), &
                 Renv(niso,ncas)
-        real zxtalphal(niso,ncas), zxtalphai(niso,ncas)
-        real fcond(ncas)
-        real Exi_prime(niso,ncas)
-        integer il,ixt
+        REAL zxtalphal(niso,ncas), zxtalphai(niso,ncas)
+        REAL fcond(ncas)
+        REAL Exi_prime(niso,ncas)
+        INTEGER il,ixt
         !real 
 
         CALL fractcalk_vectall(T_cas,zxtalphal,zxtalphai,ncas)
         do il=1,ncas
-          if (Pqisup_cas(il)-Eqi_prime_cas(il).gt.0.0) THEN
+          IF (Pqisup_cas(il)-Eqi_prime_cas(il).gt.0.0) THEN
             fcond(il)=-Eqi_prime_cas(il) &
                 /(Pqisup_cas(il)-Eqi_prime_cas(il))
@@ -7897,10 +7897,10 @@
               fcond(il)=1.0
           endif
-          if (qp_avantevap_cas(il).gt.0) THEN
+          IF (qp_avantevap_cas(il).gt.0) THEN
              do ixt=1,niso  
                Renv(ixt,il)=xtp_avantevap_cas(ixt,il) &
                 /qp_avantevap_cas(il)
              enddo !do ixt=1,niso  
-          else if (q_cas(il).gt.0.0) then !if (qp_avantevap_cas(il).gt.0) THEN
+          ELSE IF (q_cas(il).gt.0.0) then !if (qp_avantevap_cas(il).gt.0) THEN
              do ixt=1,niso  
                Renv(ixt,il)=xt_cas(ixt,il)/q_cas(il)
@@ -7919,5 +7919,5 @@
          enddo !do il=1,ncas
          do il=1,ncas
-           if (T_cas(il).ge.ztglace_Kelvin) THEN
+           IF (T_cas(il).ge.ztglace_Kelvin) THEN
              do ixt=1,niso
               Rcond(ixt,il)=zxtalphal(ixt,il)*Renv(ixt,il)
@@ -7930,5 +7930,5 @@
          enddo !do il=1,ncas
         do il=1,ncas
-          if (Pqisup_cas(il).gt.0.0) THEN
+          IF (Pqisup_cas(il).gt.0.0) THEN
              do ixt=1,niso
                Risup(ixt,il)=Pxtisup_cas(ixt,il)/Pqisup_cas(il)
@@ -7945,5 +7945,5 @@
          enddo !do il=1,ncas
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           do il=1,ncas
              CALL iso_verif_egalite_choix( &
@@ -7986,6 +7986,6 @@
               CALL iso_verif_noNAN(xtp_cas(ixt,il), &
                         'appel stewart 265.12: cas 1.2')
-              if (iso_verif_noNAN_nostop(xtevap_cas(ixt,il), &
-                'appel_stewart 286.12: cas 1.2, xtevap').eq.1) THEN
+              IF (iso_verif_noNAN_nostop(xtevap_cas(ixt,il), &
+                'appel_stewart 286.12: cas 1.2, xtevap').EQ.1) THEN
                 WRITE(*,*) 'ixt,il=',ixt,il
                 WRITE(*,*) 'Exi_prime(ixt,il)=',Exi_prime(ixt,il)
@@ -7999,5 +7999,5 @@
             enddo !do ixt=1,niso   
           enddo !do il=1,ncas    
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             do il=1,ncas 
               CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
@@ -8005,5 +8005,5 @@
                 'appel_stewart 262.12, cas 1.2', &
                 errmax,errmaxrel)
-              if ((xtwater_cas(iso_eau,il).eq.0).and. &
+              IF ((xtwater_cas(iso_eau,il).EQ.0).AND. &
                 (water_cas(il).gt.ridicule)) THEN
                WRITE(*,*) 'appel_stewart 263.12, cas 1.2'
@@ -8013,5 +8013,5 @@
                stop
               endif
-              if (oktrac.eq.0) THEN
+              IF (oktrac.EQ.0) THEN
               CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
                 qp_cas(il) &
@@ -8020,11 +8020,11 @@
                 evap_cas(il),'appel_stewart 275.12, cas 1.2', &
                 errmax,errmaxrel)
-              endif !if (oktrac.eq.0) THEN
+              endif !if (oktrac.EQ.0) THEN
              enddo !do il=1,ncas
             endif ! if (iso_eau.gt.0) THEN
-            if (oktrac.eq.0) THEN
-            if (iso_HDO.gt.0) THEN
+            IF (oktrac.EQ.0) THEN
+            IF (iso_HDO.gt.0) THEN
              do il=1,ncas
-              if (qp_cas(il).gt.ridicule) THEN
+              IF (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant(xtp_cas(iso_HDO,il)/ &
                 qp_cas(il), &
@@ -8033,8 +8033,8 @@
               enddo ! do il=1,ncas
             endif  ! if (iso_HDO.gt.0) THEN
-           else !if (oktrac.eq.0) THEN
-             if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
+           else !if (oktrac.EQ.0) THEN
+             IF ((iso_HDO.gt.0).AND.(iso_eau.gt.0)) THEN
               do il=1,ncas
-               if (xtp_cas(iso_eau,il).gt.ridicule) THEN
+               IF (xtp_cas(iso_eau,il).gt.ridicule) THEN
                 CALL iso_verif_aberrant(xtp_cas(iso_HDO,il)/ &
                 xtp_cas(iso_eau,il), &
@@ -8043,5 +8043,5 @@
                enddo ! do il=1,ncas
               endif  ! if (iso_HDO.gt.0) THEN
-           endif !if (oktrac.eq.0) THEN
+           endif !if (oktrac.EQ.0) THEN
 #endif
 
@@ -8065,20 +8065,20 @@
 
         ! inputs
-        integer ncas
-        real xtevapsup_cas(niso,ncas),water_cas(ncas)
+        INTEGER ncas
+        REAL xtevapsup_cas(niso,ncas),water_cas(ncas)
         real  xtp_avantevap_cas(niso,ncas), &
         Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
 #ifdef ISOVERIF        
-        real evap_cas(ncas),qp_cas(ncas)
-        integer oktrac ! si traceurs, certaines verifs ne sont pas
+        REAL evap_cas(ncas),qp_cas(ncas)
+        INTEGER oktrac ! si traceurs, certaines verifs ne sont pas
                 !valides
 #endif
         ! outputs
-        real xtevap_cas(niso,ncas),xtp_cas(niso,ncas), &
+        REAL xtevap_cas(niso,ncas),xtp_cas(niso,ncas), &
                  xtwater_cas(niso,ncas)
 
         ! locals
-        real Risup(niso,ncas)
-        integer il,ixt
+        REAL Risup(niso,ncas)
+        INTEGER il,ixt
         !real 
 
